library incompatible

hi multi user, iam a newbie user arduino.

please help me.
I made a simple program using my node using RTOS, but I encountered a problem with the library. for example it says “INCOMPATIBLE”. when open blink program on example and upload the program gets a message like this:

#include <avr / io.h>

^

compilation terminated.

exit status 1
Error compiling for board NodeMCU 0.9 (ESP-12 Module).

It told the truth. The library is indeed incompatible with the ESP8266 board you're compiling for.

If you tell us which library it is, someone might be able to suggest an ESP8266 compatible alternative. If you downloaded the library from somewhere, post the link. If you installed it using the Arduino Library Manager, then state the full name of the library.

hi thanks for reply.
oh sorry, I downloaded the library from GitHub - feilipu/Arduino_FreeRTOS_Library: A FreeRTOS Library for all Arduino AVR Devices (Uno, Leonardo, Mega, etc) and I also downloaded it from the manage library from Arduino IDE.
from some of the sites I read, they are always listed (Uno, mega, leonard, etc.) and there are also several sites using esp32, but when I try I get the same message